Package org.gradle.api.tasks

## Class TaskExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.internal.exceptions.DefaultMultiCauseException
          - - org.gradle.api.tasks.TaskExecutionException

- All Implemented Interfaces:
    `Serializable`, `org.gradle.internal.exceptions.MultiCauseException`

      public class TaskExecutionException
      extends org.gradle.internal.exceptions.DefaultMultiCauseException

  A `TaskExecutionException` is thrown when a task fails to execute successfully.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskExecutionException​(Task task, Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Task` | `getTask()` |

    - ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

      `getCause, getCauses, getMessage, initCause, initCauses, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskExecutionException

          public TaskExecutionException​(Task task,
                                        Throwable cause)

  - ### Method Detail

    - #### getTask

          public Task getTask()